<!DOCTYPE html>
<!--Peticion AJAX usando metodo getJSON de jQUERY-->
<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>
        <style>
            img {
                width: 30%;
                border: 1px solid grey;
            }

            .object {
                width: 300px;
                margin: 10px;
                padding: 10px;
                text-align: center;
                background-color: black;
                border-radius: 5px;
            }

            .titulo {
                font-weight: bold;
                color: yellow;
            }


            .descripcion {
                font-weight: bold;
                color: yellow;
            }

            .detalle {

                width: 50%

            }

            #search {
                display: flex;
                flex-wrap: wrap;
            }
        </style>
    </head>
    <body>
        <div id="search"></div>
    </body>
    <script>

        $.getJSON('https://jsonplaceholder.typicode.com/photos',function(data){
            
            console.log(data);

            function mostrarTitols (){

                    var cuentos=data;

                    $.each(cuentos.slice(0,11),function(key,value){

                    var $object=$('<div class ="object">');

                        var $titulo = $('<p class="titulo"/>').html(value.title);
                        var $image = $('<img/>').addClass("url").attr("src",value.url);
                        var $descripcion = $('<p class="descripcion"/>').html(value.title);
                        var $detalle = $('<img/>').addClass("detalle").attr("src",value.thumbnailUrl);

                        $object.append($titulo);
                        $object.append($image);
                        $object.append($descripcion);
                        $object.append($detalle);

                        $('#search').append($object);
                    });
                };

            mostrarTitols();
        });

    </script>
</html>